
package com.tmerclub.cloud.order.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 采购订单
 *
 * @author lhd
 * @date 2022-06-22 17:12:02
 */
public class PurchaseOrder extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 采购id
     */
    private Long purchaseOrderId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 送达时间
     */
    private Date deliverTime;

    /**
     * 发货时间
     */
    private Date deliveryTime;

    /**
     * 供应商id
     */
    private Long supplierId;

    /**
     * 总采购金额
     */
    private Double totalAmount;

    /**
     * 总采购库存数量
     */
    private Integer totalStock;

    /**
     * 实际总库存数量
     */
    private Integer actualTotalStock;

    /**
     * 状态 0:已作废 1:待入库 2:已发货 3:部分入库 4:待付款 5:已完成
     */
    private Integer status;

    /**
     * 备注
     */
    private String remark;

    /**
     * 操作员工id
     */
    private Long employeeId;

    /**
     * 配送类型 1:快递 2:自提 3：无需快递 4同城配送
     */
    private Integer deliveryType;

    /**
     * 采购订单地址
     */
    private Long purchaseOrderAddrId;

    /**
     * 付款凭证图片 多个图片逗号分隔
     */
    private String voucherImgUrls;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 供应商仓库id
     */
    private Long supplierWarehouseId;

    /**
     * 库存点类型
     */
    private Integer stockPointType;

    public Date getDeliveryTime() {
        return deliveryTime;
    }

    public void setDeliveryTime(Date deliveryTime) {
        this.deliveryTime = deliveryTime;
    }

    public Integer getDeliveryType() {
        return deliveryType;
    }

    public void setDeliveryType(Integer deliveryType) {
        this.deliveryType = deliveryType;
    }

    public Long getPurchaseOrderAddrId() {
        return purchaseOrderAddrId;
    }

    public void setPurchaseOrderAddrId(Long purchaseOrderAddrId) {
        this.purchaseOrderAddrId = purchaseOrderAddrId;
    }

    public Long getPurchaseOrderId() {
        return purchaseOrderId;
    }

    public void setPurchaseOrderId(Long purchaseOrderId) {
        this.purchaseOrderId = purchaseOrderId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Date getDeliverTime() {
        return deliverTime;
    }

    public void setDeliverTime(Date deliverTime) {
        this.deliverTime = deliverTime;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Double getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(Double totalAmount) {
        this.totalAmount = totalAmount;
    }

    public Integer getTotalStock() {
        return totalStock;
    }

    public void setTotalStock(Integer totalStock) {
        this.totalStock = totalStock;
    }

    public Integer getActualTotalStock() {
        return actualTotalStock;
    }

    public void setActualTotalStock(Integer actualTotalStock) {
        this.actualTotalStock = actualTotalStock;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getEmployeeId() {
        return employeeId;
    }

    public void setEmployeeId(Long employeeId) {
        this.employeeId = employeeId;
    }

    public String getVoucherImgUrls() {
        return voucherImgUrls;
    }

    public void setVoucherImgUrls(String voucherImgUrls) {
        this.voucherImgUrls = voucherImgUrls;
    }

    public Long getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(Long warehouseId) {
        this.warehouseId = warehouseId;
    }

    public Integer getStockPointType() {
        return stockPointType;
    }

    public void setStockPointType(Integer stockPointType) {
        this.stockPointType = stockPointType;
    }

    public Long getSupplierWarehouseId() {
        return supplierWarehouseId;
    }

    public void setSupplierWarehouseId(Long supplierWarehouseId) {
        this.supplierWarehouseId = supplierWarehouseId;
    }

    @Override
    public String toString() {
        return "PurchaseOrder{" +
                "purchaseOrderId=" + purchaseOrderId +
                ", shopId=" + shopId +
                ", deliverTime=" + deliverTime +
                ", deliveryTime=" + deliveryTime +
                ", supplierId=" + supplierId +
                ", totalAmount=" + totalAmount +
                ", totalStock=" + totalStock +
                ", actualTotalStock=" + actualTotalStock +
                ", status=" + status +
                ", remark='" + remark + '\'' +
                ", employeeId=" + employeeId +
                ", deliveryType=" + deliveryType +
                ", purchaseOrderAddrId=" + purchaseOrderAddrId +
                ", voucherImgUrls='" + voucherImgUrls + '\'' +
                ", warehouseId=" + warehouseId +
                ", stockPointType=" + stockPointType +
                '}';
    }
}
